it-swarm.com.de

Android Studio-Fehler: (3, 0) Plugin mit der ID 'com.Android.application' wurde nicht gefunden

Ich bin neu bei Android Studio und habe jemanden schreiben lassen, der ursprünglich in App-Erfinder verwendet wurde. Ich folgte seiner Vorlage und fügte neue Dinge hinzu. Die App hat ein Problem mit dem Gradle und gibt mir folgendes.

"Error:(3, 0) Plugin with id 'com.Android.application' not found."

Es besagt auch, dass mein Android-Support-Repository nicht so installiert ist, wie es ist. und alles ist auf dem neuesten Stand. Ich habe viele Dinge über das Aktualisieren des Gradle gesehen. Wie mache ich das, wenn der SDK-Manager dies nicht tat?.

code lautet:

// Top-level build file where you can add configuration options common to all sub-projects/modules.

apply plugin: 'com.Android.application'
Android {
    compileSdkVersion 21
    buildToolsVersion "21.0.2"

    defaultConfig {
        applicationId "contactorganizer.introcode.or.myapplication"
        minSdkVersion 8
        targetSdkVersion 21
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-Android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.Android.support:appcompat-v7:21.0.0'
}

Es tut mir leid, dass Sie nicht viel Wissen haben. Wenn Sie das Projekt möchten, kann ich es Ihnen per E-Mail senden, da ich absolut keine Ahnung habe und es lieben würde, dies einfach zu bauen. Vielen Dank für Ihre Hilfe!

9
Ryan

Als ich mein Android Studio auf den neuesten Stand gebracht habe, habe ich das gleiche Problem. So habe ich es gelöst.

Zuerst: Füge den folgenden Code oben in dein build.gradle ein:

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.Android.tools.build:gradle:1.1.0'
    }
} 

allprojects {
    repositories {
        jcenter()
    }
}

Zweitens: Finden Sie die gradle-wrapper.properties. Ändern Sie den letzten Satz wie folgt:

distributionUrl=http\://services.gradle.org/distributions/gradle-2.2.1-all.Zip

Hoffe, das funktioniert für dich.

20
River

Ich bin auch mit dem Problem konfrontiert. Das Android-Plugin ist 1.2.3. Es erscheint, wenn eine Modulaufgabe im Modulverzeichnis wie folgt ausgeführt wird: ../graldew :module:xxx.

Ich merke schließlich, dass Plugin 1.2.3 nicht in den richtigen Kontext gerät und Android Plugin 1.5 funktioniert gut. So wird es funktionieren, um es gradle Datei richtig zu geben.

../gradlew -b ../build.gradle  -c ../settings.gradle  :module:xxx

Dies ist die Situation für mich. Sie können es nur als Referenz betrachten.

0
Victor Choy